<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($devices_deleted))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι συσκευές διαγράφηκαν επιτυχώς.
	</div>";
	unset($devices_deleted);
}
else if (isset($no_selections))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν επιλέχθηκαν συσκευές.
	</div>";
	unset($no_selections);
}
else if (isset($inv_device))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν έχετε τα δικαιώματα για να διαγράψετε μία ή περισσότερες από τις συσκευές που επιλέξατε.
	</div>";
	unset($inv_device);
}
else if (isset($_SESSION['inv_device']))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν έχετε τα δικαιώματα για να τροποποιήσετε αυτήν την συσκευή.
	</div>";
	unset($_SESSION['inv_device']);
}
else if (isset($_SESSION['inv_link']))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτός ο σύνδεσμος δεν είναι έγκυρος.
	</div>";
	unset($_SESSION['inv_link']);
}
if (isset($empty_form))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Συμπληρώστε όνομα για τη νέα συσκευή.
	</div>";
	unset($empty_form);
}
else if (isset($inv_device_name))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Έχετε ήδη μία συσκευή με αυτό το όνομα.
	</div>";
	unset($inv_device_name);
}
else if (isset($device_added))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Η συσκευή προστέθηκε επιτυχώς.
	</div>";
	unset($device_added);
	unset($new_device_name);
}
else if (isset($long_name))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος του ονόματος της συσκευής δεν μπορεί να ξεπερνά τους 40 χαρακτήρες.
	</div>";
	unset($long_name);
}
?> 