<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($user_edited))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι πληροφορίες του χρήστη ενημερώθηκαν επιτυχώς.
	</div>";
	unset($user_edited);
}
else if (isset($root_id))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν μπορείτε να τροποποιήσετε τον λογαριασμό του ιδιοκτήτη.
	</div>";
	unset($root_id);
}
else if (isset($empty_form))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Πρέπει να εισάγετε μια διεύθυνση e-mail.
	</div>";
	unset($empty_form);
}
else if (isset($inv_email))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτή η διεύθυνση e-mail έχει ήδη καταχωρηθή σε κάποιον άλλο χρήστη.
	</div>";
	unset($inv_email);
}
else if (isset($long_email))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος της διεύθυνσης e-mail δεν μπορεί να ξεπερνά τους 40 χαρακτήρες.
	</div>";
	unset($long_email);
}
else if (isset($devices_deleted))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι συσκευές διαγράφηκαν επιτυχώς.
	</div>";
	unset($devices_deleted);
}
else if (isset($no_devices_selections))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν επιλέχθηκαν συσκευές.
	</div>";
	unset($no_devices_selections);
}
else if (isset($logs_deleted))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Οι εγγραφές διαγράφηκαν επιτυχώς.
	</div>";
	unset($logs_deleted);
}
else if (isset($no_logs_selections))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν επιλέχθηκαν εγγραφές.
	</div>";
	unset($no_logs_selections);
}
if (isset($device_empty_form))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Πρέπει να εισάγετε ένα όνομα συσκευής.
	</div>";
	unset($device_empty_form);
}
else if (isset($inv_device_name))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Αυτός ο χρήστης έχει ήδη μία συσκευή με αυτό το όνομα.
	</div>";
	unset($inv_device_name);
}
else if (isset($device_added))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Η συσκευή προστέθηκε επιτυχώς.
	</div>";
	unset($device_added);
	unset($new_device_name);
}
else if (isset($long_name))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το μήκος του ονόματος της συσκευής δεν μπορεί να ξεπερνά τους 40 χαρακτήρες.
	</div>";
	unset($long_name);
}
?>