<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
echo "<div class='row'><table class='table table-hover table-striped'><tr><th>Όνομα Χρήστη</th><th>Διεύθυνση E-mail</th><th>Βαθμίδα</th><th>Αριθμός Συσκευών</th><th>Ημ. Εγγραφής</th></tr>\n";

$sth = $dbh->prepare("SELECT user_email, registration_timestamp FROM users WHERE user_id=:user_id;");
$sth->execute(array(':user_id' => $_SESSION['id']));
$result = $sth->fetch();
$registration_timestamp = $result['registration_timestamp'];
$user_email = $result['user_email'];

if ($_SESSION['rank'] == 0)
{
	$rank = "Χρήστης";
}
else if ($_SESSION['rank'] == 1)
{
	$rank = "Διαχειριστής";
}

$sth = $dbh->prepare("SELECT COUNT(*) FROM devices WHERE user_id=:user_id;");
$sth->execute(array(':user_id' => $_SESSION['id']));
$result = $sth->fetch(PDO::FETCH_NUM);
$devices_no = $result['0'];

echo "<tr><td>" . $_SESSION['user_name'] . "</td><td>$user_email</td><td>$rank</td><td>$devices_no</td><td>$registration_timestamp</td></tr>\n";
echo "</table></div>";
?>