<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_GET['logs_limit']) && isset($_GET['logs_page']) && $_GET['logs_limit'] != 0)
{
	$logs_select_limit = intval($_GET['logs_limit']);
	if ($logs_select_limit > $rows_num)
	{
		$logs_select_limit = $rows_num;
	}
	$logs_select_page = intval($_GET['logs_page']);
	$logs_select_offset = ($logs_select_page - 1) * $logs_select_limit;
	$select_max_page = $rows_num / $logs_select_limit;
	if (!is_int($select_max_page))
	{
		$select_max_page = intval($select_max_page) + 1;
	}
}
else if (isset($_GET['logs_limit']))
{
	if ($_GET['logs_limit'] != 0)
	{
		$logs_select_limit = intval($_GET['logs_limit']);
		if ($logs_select_limit > $rows_num)
		{
			$logs_select_limit = $rows_num;
		}
		$logs_select_page = 1;
		$logs_select_offset = ($logs_select_page - 1) * $logs_select_limit;
		$select_max_page = $rows_num / $logs_select_limit;
		if (!is_int($select_max_page))
		{
			$select_max_page = intval($select_max_page) + 1;
		}
	}
	else if ($_GET['logs_limit'] == 0)
	{
		$logs_select_limit = $rows_num;
		$logs_select_offset = 0;
		$logs_select_page = 1;
		$select_max_page = 1;
	}
}
else
{
	$logs_select_limit = 5;
	if ($logs_select_limit > $rows_num)
	{
		$logs_select_limit = $rows_num;
	}
	$logs_select_page = 1;
	$logs_select_offset = ($logs_select_page - 1) * $logs_select_limit;
	$select_max_page = $rows_num / $logs_select_limit;
	if (!is_int($select_max_page))
	{
		$select_max_page = intval($select_max_page) + 1;
	}
}
if ($logs_select_page > $select_max_page)
{
	$logs_select_page = $select_max_page;
	$logs_select_offset = ($logs_select_page - 1) * $logs_select_limit;
}
else if ($logs_select_page <= 0)
{
	$logs_select_page = 1;
	$logs_select_offset = ($logs_select_page - 1) * $logs_select_limit;
}
echo "<div class='row pagination_form'><hr /><div class='table_title'>Αρχεία καταγραφής της συσκευής</div><form action='device_admin_manage.php#table' class='pagination_form' name='device_admin_manage_pagination_form' method='GET'>";
if ($logs_select_page > 1)
{
	$select_previous_page = $logs_select_page - 1;
	echo "<div class='col-md-3'><label class='blank_label' for='logs_previous_button'></label><a href='device_admin_manage.php?device_id=$device_id&logs_limit=$logs_select_limit&logs_page=$select_previous_page#table' id='logs_previous_button' class='btn btn-block btn-default'>Προηγούμενη σελίδα</a></div>";
}
else
{
	echo "<div class='col-md-3'><label class='blank_label' for='logs_previous_button'></label><a id='logs_previous_button' class='btn btn-default btn-block disabled'>Προηγούμενη σελίδα</a></div>";
}
echo "<div class='col-md-1 hidden-xs'></div><div class='col-md-1'>";
echo "<label for='logs_page'>Σελίδα</label><select class='form-control' id='logs_page' data-width='100px' name='logs_page'>";
for ($i = 1; $i <= $select_max_page; $i++)
{
	echo "<option value='$i'";
	if ($logs_select_page == $i)
	{
		echo " selected";
	}
	echo ">$i</option>";
}
echo "</select></div>";
echo "<div class='col-md-2'><label for='logs_limit'>Ομαδοποίηση</label><select class='form-control' id='logs_limit' data-width='100' name='logs_limit'>";
echo "<option value='5'";
if ($logs_select_limit == 5)
{
	echo " selected";
}
echo ">5</option>";
echo "<option value='10'";
if ($logs_select_limit == 10)
{
	echo " selected";
}
echo ">10</option>";
echo "<option value='25'";
if ($logs_select_limit == 25)
{
	echo " selected";
}
echo ">25</option>";
echo "<option value='50'";
if ($logs_select_limit == 50)
{
	echo " selected";
}
echo ">50</option>";
echo "<option value='100'";
if ($logs_select_limit == 100)
{
	echo " selected";
}
echo ">100</option>";
echo "<option value='1000'";
if ($logs_select_limit == 1000)
{
	echo " selected";
}
echo ">1000</option>";
echo "<option value='0'>Εμφάνιση Όλων</option>";
if ($logs_select_limit != 5 && $logs_select_limit != 10 && $logs_select_limit != 25 && $logs_select_limit != 50 && $logs_select_limit != 100 && $logs_select_limit != 1000 && $logs_select_limit != 0)
{
	echo "<option value='$logs_select_limit' selected>$logs_select_limit</option>";
}
echo "</select></div>";
echo "<input type='hidden' name='device_id' value='$device_id'>";
echo "<div class='col-md-2'><label class='blank_label' for='logs_submit'></label><button class='btn btn-primary btn-block' id='logs_submit' type='submit'>Υποβολή</button></div>";
if ($logs_select_page < $select_max_page)
{
	$select_next_page = $logs_select_page + 1;
	echo "<div class='col-md-3'><label class='blank_label' for='logs_next_button'></label><a href='device_admin_manage.php?device_id=$device_id&logs_limit=$logs_select_limit&logs_page=$select_next_page#table' id='logs_next_button' class='btn btn-block btn-default'>Επόμενη σελίδα</a></div>";
}
else
{
	echo "<div class='col-md-3'><label class='blank_label' for='logs_next_button'></label><a id='logs_next_button' class='btn btn-default btn-block disabled'>Επόμενη σελίδα</a></div>";
}
echo "</form></div>";
?>