<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_GET['users_limit']) && isset($_GET['users_page']) && $_GET['users_limit'] != 0)
{
	$users_select_limit = intval($_GET['users_limit']);
	if ($users_select_limit > $rows_num)
	{
		$users_select_limit = $rows_num;
	}
	$users_select_page = intval($_GET['users_page']);
	$users_select_offset = ($users_select_page - 1) * $users_select_limit;
	$select_max_page = $rows_num / $users_select_limit;
	if (!is_int($select_max_page))
	{
		$select_max_page = intval($select_max_page) + 1;
	}
}
else if (isset($_GET['users_limit']))
{
	if ($_GET['users_limit'] != 0)
	{
		$users_select_limit = intval($_GET['users_limit']);
		if ($users_select_limit > $rows_num)
		{
			$users_select_limit = $rows_num;
		}
		$users_select_page = 1;
		$users_select_offset = ($users_select_page - 1) * $users_select_limit;
		$select_max_page = $rows_num / $users_select_limit;
		if (!is_int($select_max_page))
		{
			$select_max_page = intval($select_max_page) + 1;
		}
	}
	else if ($_GET['users_limit'] == 0)
	{
		$users_select_limit = $rows_num;
		$users_select_offset = 0;
		$users_select_page = 1;
		$select_max_page = 1;
	}
}
else
{
	$users_select_limit = 5;
	if ($users_select_limit > $rows_num)
	{
		$users_select_limit = $rows_num;
	}
	$users_select_page = 1;
	$users_select_offset = ($users_select_page - 1) * $users_select_limit;
	$select_max_page = $rows_num / $users_select_limit;
	if (!is_int($select_max_page))
	{
		$select_max_page = intval($select_max_page) + 1;
	}
}

if ($users_select_page > $select_max_page)
{
	$users_select_page = $select_max_page;
	$users_select_offset = ($users_select_page - 1) * $users_select_limit;
}
else if ($users_select_page <= 0)
{
	$users_select_page = 1;
	$users_select_offset = ($users_select_page - 1) * $users_select_limit;
}
echo "<div class='row pagination_form'><form action='users_admin.php' class='pagination_form' name='users_admin_pagination_form' method='GET'>";
if ($users_select_page > 1)
{
	$select_previous_page = $users_select_page - 1;
	echo "<div class='col-md-3'><label class='blank_label' for='users_previous_button'></label><a href='users_admin.php?users_limit=$users_select_limit&users_page=$select_previous_page' id='users_previous_button' class='btn btn-block btn-default'>Προηγούμενη σελίδα</a></div>";
}
else
{
	echo "<div class='col-md-3'><label class='blank_label' for='users_previous_button'></label><a id='users_previous_button' class='btn btn-default btn-block disabled'>Προηγούμενη σελίδα</a></div>";
}
echo "<div class='col-md-1 hidden-xs'></div><div class='col-md-1'>";
echo "<label for='users_page'>Σελίδα</label><select class='form-control' id='users_page' data-width='100px' name='users_page'>";
for ($i = 1; $i <= $select_max_page; $i++)
{
	echo "<option value='$i'";
	if ($users_select_page == $i)
	{
		echo " selected";
	}
	echo ">$i</option>";
}
echo "</select></div>";
echo "<div class='col-md-2'><label for='users_limit'>Ομαδοποίηση</label><select class='form-control' id='users_limit' data-width='100' name='users_limit'>";
echo "<option value='5'";
if ($users_select_limit == 5)
{
	echo " selected";
}
echo ">5</option>";
echo "<option value='10'";
if ($users_select_limit == 10)
{
	echo " selected";
}
echo ">10</option>";
echo "<option value='25'";
if ($users_select_limit == 25)
{
	echo " selected";
}
echo ">25</option>";
echo "<option value='50'";
if ($users_select_limit == 50)
{
	echo " selected";
}
echo ">50</option>";
echo "<option value='100'";
if ($users_select_limit == 100)
{
	echo " selected";
}
echo ">100</option>";
echo "<option value='1000'";
if ($users_select_limit == 1000)
{
	echo " selected";
}
echo ">1000</option>";
echo "<option value='0'>Εμφάνιση Όλων</option>";
if ($users_select_limit != 5 && $users_select_limit != 10 && $users_select_limit != 25 && $users_select_limit != 50 && $users_select_limit != 100 && $users_select_limit != 1000 && $users_select_limit != 0)
{
	echo "<option value='$users_select_limit' selected>$users_select_limit</option>";
}
echo "</select></div>";
echo "<div class='col-md-2'><label class='blank_label' for='users_submit'></label><button id='users_submit' class='btn btn-primary btn-block' type='submit'>Υποβολή</button></div>";
if ($users_select_page < $select_max_page)
{
	$select_next_page = $users_select_page + 1;
	echo "<div class='col-md-3'><label class='blank_label' for='users_next_button'></label><a href='users_admin.php?users_limit=$users_select_limit&users_page=$select_next_page' id='users_next_button' class='btn btn-block btn-default'>Επόμενη σελίδα</a></div>";
}
else
{
	echo "<div class='col-md-3'><label class='blank_label' for='users_next_button'></label><a id='users_next_button' class='btn btn-default btn-block disabled'>Επόμενη σελίδα</a></div>";
}
echo "</form></div>";
?>