<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
$user_id = $_SESSION['id'];

if (isset($_POST['change_email']))
{
	if ($_POST['new_email'] && $_POST['confirm_new_email'])
	{
		$new_email = strip_tags($_POST['new_email']);
		$confirm_new_email = strip_tags($_POST['confirm_new_email']);
	
   		if ($new_email == $confirm_new_email)
   		{
    		if (strlen($new_email) < 41)
    		{
    			$sth = $dbh->prepare("SELECT user_email, user_id FROM users WHERE user_email=:user_email LIMIT 1;");
				$sth->execute(array(':user_email' => $new_email));
				
				if ($sth->rowCount() == 0)
				{
    				$sth = $dbh->prepare("UPDATE users SET user_email=:user_email WHERE user_id=:user_id LIMIT 1;");
					$sth->execute(array(':user_id' => $user_id, ':user_email' => $new_email));
					
					$user_name = $_SESSION['user_name'];
					$user_id = $_SESSION['id'];
					$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) άλλαξε τη διεύθυνση e-mail του.";
					$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
					$sth->execute(array(':user_name' => $user_name, ':action_description' => $action_description));
					
					$changed_email = 1;
				}
				else
				{
					$result = $sth->fetch();
					if ($result['user_id'] == $_SESSION['id'])
					{
						$your_email = 1;
					}
					else
					{
						$inv_email = 1;
					}
				}
    		}
    		else
    		{
    			$long_email = 1;
    		}
    	}
    	else
   		{
    		$email_mismatch = 1;
    	}
    }
    else
    {
    	$empty_form = 1;
    }
}

if (isset($_POST['change_pass']))
{
	if ($_POST['old_password'] && $_POST['new_password'] && $_POST['confirm_new_password'])
	{		
		$old_password = md5("ABBAE" . md5($_POST['old_password']));
		$new_password = $_POST['new_password'];
		$confirm_new_password = $_POST['confirm_new_password'];
			
		$sth = $dbh->prepare("SELECT password_hash FROM users WHERE user_id=:user_id LIMIT 1;");
   		$sth->execute(array(':user_id' => $user_id));
   		$db_password = $sth->fetch();
   			
   		if ($db_password['password_hash'] == $old_password)
   		{
   	 		if ($new_password == $confirm_new_password)
   	 		{
   	 			if (strlen($new_password) > 3 && strlen($confirm_new_password) < 41)
    			{
    				$new_password = md5("ABBAE" . md5($new_password));
    				$sth = $dbh->prepare("UPDATE users SET password_hash=:password WHERE user_id=:user_id LIMIT 1;");
					$sth->execute(array(':user_id' => $user_id, ':password' => $new_password));
					
					$user_name = $_SESSION['user_name'];
					$user_id = $_SESSION['id'];
					$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) άλλαξε τον κωδικό του.";
					$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
					$sth->execute(array(':user_name' => $user_name, ':action_description' => $action_description));
					
					
					session_destroy();
					setcookie('remember_username', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
					setcookie('remember_password', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
					session_start();
					$dbh = NULL;
					$_SESSION['changed_pass'] = 1;
					header("Location: index.php");
					die();
    			}
    			else
    			{
    				$short_long_pass = 1;
    			}
    		}
    		else
    		{
    			$pass_mismatch = 1;
    		}
    	}
    	else
    	{
    		$wrong_pass = 1;
    	}
    }
    else
    {
    	$empty_form = 1;
    }
}
?>