<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_POST['user_admin_add']))
{
	$new_email = strip_tags($_POST['new_email']);
	$confirm_new_email = strip_tags($_POST['confirm_new_email']);
	$new_user_name = strip_tags($_POST['new_user_name']);
	$new_password = $_POST['new_password'];
	$confirm_new_password = $_POST['confirm_new_password'];
	$new_user_rank = intval($_POST['new_user_rank']);
	
	if ($new_email && $confirm_new_email && $new_user_name && $new_password && $confirm_new_password)
	{
		if ($new_email == $confirm_new_email)
		{
			if (strlen($new_password) > 3 && strlen($new_password) < 41)
			{
				if ($new_password == $confirm_new_password)
				{
					$new_password = md5("ABBAE" . md5($new_password));
				
					if (strlen($new_email) < 41 && strlen($new_user_name) < 41)
					{
						$sth = $dbh->prepare("SELECT COUNT(*) FROM users WHERE user_email=:email LIMIT 1;");
						$sth->execute(array(':email' => $new_email));
						$result = $sth->fetch(PDO::FETCH_NUM);
						$num_rows = $result['0'];
    					if($num_rows == 0)
						{
							$sth = $dbh->prepare("SELECT COUNT(*) FROM users WHERE user_name=:user_name LIMIT 1;");
							$sth->execute(array(':user_name' => $new_user_name));
							$result = $sth->fetch(PDO::FETCH_NUM);
							$num_rows = $result['0'];
							if($num_rows == 0)
							{
								$sth = $dbh->prepare("INSERT INTO users (user_id, user_name, password_hash, user_status, user_email, registration_timestamp, user_rank) VALUES ('', :user_name, :password, '1', :email, NOW(), :user_rank);");
    							$sth->execute(array(':user_name' => $new_user_name, ':password' => $new_password, ':email' => $new_email, ':user_rank' => $new_user_rank));
    							
    							$sth = $dbh->prepare("SELECT user_id FROM users WHERE user_name=:user_name LIMIT 1;");
    							$sth->execute(array(':user_name' => $new_user_name));
    							$result = $sth->fetch();
    							$user_id = $result['user_id'];
    							if ($new_user_rank == 0)
    							{
    								$rank = "Χρήστης";
    							}
    							else if ($new_user_rank == 1)
    							{
    								$rank = "Διαχειριστής";
    							}
    							$admin_name = $_SESSION['user_name'];
    							$admin_id = $_SESSION['id'];
								$action_description = "Ο διαχειριστής \"$admin_name\" (Α/Α: $admin_id) δημιούργησε τον χρήστη \"$new_user_name\" (Α/Α: $user_id) με βαθμίδα \"$rank\".";
								$sth_devices = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
								$sth_devices->execute(array(':user_name' => $_SESSION['user_name'], ':action_description' => $action_description));

								$registered = 1;
							}
							else
							{
								$inv_user = 1;
							}
						}
						else
						{
							$inv_email = 1;
						}
					}
					else
					{
						$long_user_mail = 1;
					}
				}
				else
				{
					$pass_mismatch = 1;
				}
			}
			else
			{
				$short_pass = 1;
			}
		}
		else
		{
			$email_mismatch = 1;
		}
	}
	else
	{
		$empty_form = 1;
	}
}
if (isset($_POST['delete']))
{
	if (isset($_POST['user_id']))
	{
		$list = $_POST['user_id'];
		$N = count($list);
		for ($i = 0; $i < $N; $i++)
		{
			$list[$i] = intval($list[$i]);
			if ($list[$i] == $_SESSION['id'])
			{
				$your_id = 1;
			}
			if ($list[$i] == 1)
			{
				$root_id = 1;
			}
		}
		if (!isset($your_id) && !isset($root_id))
		{
			for ($i = 0; $i < $N; $i++)
			{
				$sth = $dbh->prepare("SELECT user_name FROM users WHERE user_id=:user_id LIMIT 1");
				$sth->execute(array(':user_id' => $list[$i]));
				$result = $sth->fetch();
				$user_name = $result['user_name'];
				$user_id = $list[$i];
			
				$admin_name = $_SESSION['user_name'];
				$admin_id = $_SESSION['id'];
				$action_description = "Ο διαχειριστής \"$admin_name\" (Α/Α: $admin_id) διέγραψε τον χρήστη \"$user_name\" (Α/Α: $user_id) και όλες τις συσκευές που ανήκαν σ'αυτόν.";
				$sth = $dbh->prepare("DELETE FROM users WHERE user_id=:user_id LIMIT 1");
				$sth->execute(array(':user_id' => $list[$i]));
				$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
				$sth->execute(array(':user_name' => $_SESSION['user_name'], ':action_description' => $action_description));
			}
			$users_deleted = 1;
		}
	}
	else
	{
		$no_selections = 1;
	}
}
?>