<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';
require 'php_scripts/login_check_script.php';

require 'include/head.php';
echo "<title>Πίνακας Ελέγχου</title>";
echo "</head><body>";
require 'include/nav_menu.php';
$user_name = $_SESSION['user_name'];
?>

<div class='container'>
	<div class='row'>
		<?php require 'php_alerts/dashboard_alerts.php'; ?>
	</div>
	<div class='row'>
		<div class='page_title'><a href='dashboard.php'>Πίνακας Ελέγχου</a></div>
	</div>
	<div class='row text-center' style='margin: 30px 0 0 0;'>
			Καλωσορίσατε <?php echo $user_name; ?>! Επιλέξτε μία από τις επιλογές στη γραμμή περιήγησης.
	</div>
</div>

<?php
require 'include/footer.php';
exit();
?>