<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';

if (!isset($_SESSION['host_address']) || !isset($_SESSION['host_socket']))
{
	$_SESSION['no_credentials'] = 1;
	header("Location: install.php");
	die();
}

$host_address = $_SESSION['host_address'];
$user_pass = $_SESSION['user_pass'];

header("Content-type: text/plain");
header("Content-disposition: attachment; filename=db_connect_script.php");

echo "<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the \"License\");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an \"AS IS\" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset(\$require_variable))
{
	header(\"Location: ../index.php\");
	die();
}
// connection information
\$host = '$host_address';
\$dbname = 'bread_online';
\$user = 'bread_root';
\$pass = '$user_pass';

// connect to database and set connection attributes or return error
try
{
	global \$dbh;";
if ($_SESSION['host_socket'] == "host")
{
	echo "\n\$dbh = new PDO(\"mysql:host=\$host;dbname=\$dbname;charset=utf8\", \$user, \$pass);";
}
else if ($_SESSION['host_socket'] == "unix_socket")
{
	echo "\n	\$dbh = new PDO(\"mysql:unix_socket=\$host;dbname=\$dbname;charset=utf8\", \$user, \$pass);";
}
echo "\n	\$dbh->setAttribute(PDO::ATTR_EMULATE_PREPARES, FALSE);
	\$dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
	\$dbh->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC);
}
catch(PDOException \$e)
{
	echo \$e->getMessage();
}
?>";
session_destroy();
?>