/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$(document).ready(function()
{
	menu_min_time = 10380;
	$("#add_time").click(add_time);
	$("#menu_select").on('change', menu_routine);
	$("#loafsize_select").on('change', loafsize_routine);
});

function add_time()
{
	var added_countdown = menu_min_time + 3600 * $("#add_hours").val() + 60 * $("#add_minutes").val();
	if (added_countdown > 359999)
	{
		$("#countdown_int_select").text(359999);
	}
	else
	{
		$("#countdown_int_select").text(added_countdown);
	}
	update_countdown_text();
}

function update_countdown_text()
{
	$("#countdown_select").text(secondsToTime($("#countdown_int_select").text()));
};

function loafsize_routine()
{
	if ($("#menu_select").val() == 1)
	{
		if ($("#loafsize_select").val() == 0)
		{
			$("#countdown_int_select").text(10380);
			menu_min_time = 10380;
		}
		else if ($("#loafsize_select").val() == 1)
		{
			$("#countdown_int_select").text(10800);
			menu_min_time = 10800;
		}
	}
	else if ($("#menu_select").val() == 2)
	{
		if ($("#loafsize_select").val() == 0)
		{
			$("#countdown_int_select").text(13200);
			menu_min_time = 13200;
		}
		else if ($("#loafsize_select").val() == 1)
		{
			$("#countdown_int_select").text(13800);
			menu_min_time = 13800;
		}
	}
	else if ($("#menu_select").val() == 3)
	{
		if ($("#loafsize_select").val() == 0)
		{
			$("#countdown_int_select").text(12720);
			menu_min_time = 12720;
		}
		else if ($("#loafsize_select").val() == 1)
		{
			$("#countdown_int_select").text(13200);
			menu_min_time = 13200;
		}
	}
	else if ($("#menu_select").val() == 5)
	{
		if ($("#loafsize_select").val() == 0)
		{
			$("#countdown_int_select").text(10200);
			menu_min_time = 10200;
		}
		else if ($("#loafsize_select").val() == 1)
		{
			$("#countdown_int_select").text(10500);
			menu_min_time = 10500;
		}
	}
	else if ($("#menu_select").val() == 11)
	{
		if ($("#loafsize_select").val() == 0)
		{
			$("#countdown_int_select").text(10500);
			menu_min_time = 10500;
		}
		else if ($("#loafsize_select").val() == 1)
		{
			$("#countdown_int_select").text(10800);
			menu_min_time = 10800;
		}
	}
	update_countdown_text();
};

function menu_routine()
{
	if ($("#menu_select").val() == 1)
	{
		$("#loafsize_select").html("<option value='0' selected>750gr.</option><option value='1'>900gr.</option>");
		$("#browning_select").html("<option value='0' selected>Ανοιχτή</option><option value='1'>Κανονική</option><option value='2'>Σκούρα</option>");
		$("#countdown_int_select").text(10380);
		menu_min_time = 10380;
	}
	else if ($("#menu_select").val() == 2)
	{
		$("#loafsize_select").html("<option value='0' selected>750gr.</option><option value='1'>900gr.</option>");
		$("#browning_select").html("<option value='0' selected>Ανοιχτή</option><option value='1'>Κανονική</option><option value='2'>Σκούρα</option>");
		$("#countdown_int_select").text(13200);
		menu_min_time = 13200;
	}
	else if ($("#menu_select").val() == 3)
	{
		$("#loafsize_select").html("<option value='0' selected>750gr.</option><option value='1'>900gr.</option>");
		$("#bronwning_select").val(0);
		$("#countdown_int_select").text(12720)
		menu_min_time = 12720;
	}
	else if ($("#menu_select").val() == 4)
	{
		$("#loafsize_select").html("<option value='2' selected>-</option>");
		$("#browning_select").html("<option value='0' selected>Ανοιχτή</option><option value='1'>Κανονική</option><option value='2'>Σκούρα</option>");
		$("#countdown_int_select").text(6000);
		menu_min_time = 6000;
	}
	else if ($("#menu_select").val() == 5)
	{
		$("#loafsize_select").html("<option value='0' selected>750gr.</option><option value='1'>900gr.</option>");
		$("#browning_select").html("<option value='0' selected>Ανοιχτή</option><option value='1'>Κανονική</option><option value='2'>Σκούρα</option>");
		$("#countdown_int_select").text(10200);
		menu_min_time = 10200;
	}
	else if ($("#menu_select").val() == 6)
	{
		$("#loafsize_select").html("<option value='0' selected>750gr.</option>");
		$("#browning_select").html("<option value='0' selected>Ανοιχτή</option><option value='1'>Κανονική</option><option value='2'>Σκούρα</option>");
		$("#countdown_int_select").text(3480);
		menu_min_time = 3480;
	}
	else if ($("#menu_select").val() == 7)
	{
		$("#loafsize_select").html("<option value='1' selected>900gr.</option>");
		$("#browning_select").html("<option value='0' selected>Ανοιχτή</option><option value='1'>Κανονική</option><option value='2'>Σκούρα</option>");
		$("#countdown_int_select").text(3480);
		menu_min_time = 3480;
	}
	else if ($("#menu_select").val() == 8)
	{
		$("#loafsize_select").html("<option value='1' selected>900gr.</option>");
		$("#browning_select").html("<option value='3' selected>-</option>");
		$("#countdown_int_select").text(5400);
		menu_min_time = 5400;
	}
	else if ($("#menu_select").val() == 9)
	{
		$("#loafsize_select").html("<option value='2' selected>-</option>");
		$("#browning_select").html("<option value='3' selected>-</option>");
		$("#countdown_int_select").text(4800);
		menu_min_time = 4800;
	}
	else if ($("#menu_select").val() == 10)
	{
		$("#loafsize_select").html("<option value='2' selected>-</option>");
		$("#browning_select").html("<option value='3' selected>-</option>");
		$("#countdown_int_select").text(10200);
		menu_min_time = 10200;
	}
	else if ($("#menu_select").val() == 11)
	{
		$("#loafsize_select").html("<option value='0' selected>750gr.</option><option value='1'>900gr.</option>");
		$("#browning_select").html("<option value='3' selected>-</option>");
		$("#countdown_int_select").text(10500);
		menu_min_time = 10500;
	}
	else if ($("#menu_select").val() == 12)
	{
		$("#loafsize_select").html("<option value='2' selected>-</option>");
		$("#browning_select").html("<option value='3' selected>-</option>");
		$("#countdown_int_select").text(3600);
		menu_min_time = 3600;
	}
	update_countdown_text();
};