<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';

if (isset($_SESSION['id']))
{
	require 'php_scripts/db_connect_script.php';
	$user_name = $_SESSION['user_name'];
	$user_id = $_SESSION['id'];
	$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) αποσυνδέθηκε.";
	$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
	$sth->execute(array(':user_name' => $_SESSION['user_name'], ':action_description' => $action_description));
	$dbh = NULL;
}

session_destroy();
session_start();
$_SESSION['logged_out'] = 1;
setcookie('remember_username', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
setcookie('remember_password', '', time() - 151200, dirname($_SERVER['SCRIPT_NAME']) . '/', $_SERVER['HTTP_HOST'], true, true); // 151200 = 1 day
header("Location: index.php");
exit();
?>