<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
$require_variable = 1;
require 'php_scripts/force_https_session_script.php';
require 'php_scripts/login_check_script.php';
require 'php_scripts/db_connect_script.php';
require 'php_scripts/my_account_script.php';

require 'include/head.php';
echo "<title>Ο Λογαριασμός Μου</title>";
echo "</head><body>";
require 'include/nav_menu.php';
?>

<div class='container'>
	<div class='row'>
		<?php require 'php_alerts/my_account_alerts.php'; ?>
	</div>
	<div class='row'>
		<?php echo "<div class='page_title'><a href='my_account.php'>" . $_SESSION['user_name'] . "</a></div>"; ?>
	</div>
	<?php require 'php_echoes/my_account_echoes.php'; ?>
	<div class='row my_account'>
		<div class='col-md-2 hidden-xs hidden-sm text-center'>
		</div>
		<div class='col-md-4 col-sm-12 text-center'>
			<label for='change_password_form'>Αλλαγή κωδικού</label>
			<form action='my_account.php' name='change_password_form' id='change_password_form' method='POST' role='form'>
				<input type='password' class='form-control' id='old_password_my_account' placeholder='τρέχων κωδικός' name='old_password'>
				<input type='password' class='form-control' id='new_password_my_account' placeholder='νέος κωδικός' name='new_password'>
				<input type='password' class='form-control' id='confirm_new_password_my_account' placeholder='επιβεβαίωση νέου κωδικού' name='confirm_new_password'>
				<input name='change_pass' class='btn btn-primary btn-block form_button' type='submit' value='Ενημέρωση'>
			</form>
		</div>
		<div class='col-md-4 col-sm-12 text-center'>
			<div class='hidden-md hidden-lg'>
				<hr />
			</div>	
			<label for='change_email_form'>Αλλαγή διεύθυνσης e-mail</label>
			<form action='my_account.php' name='change_email_form' id='change_email_form' method='POST' role='form'>
				<input type='text' class='form-control' id='new_email_my_account' placeholder='νέα διεύθυνση e-mail' name='new_email'<?php if(isset($new_email)){echo "value='$new_email'";} ?>>
				<input type='text' class='form-control' id='confirm_new_email_my_account' placeholder='επιβεβαίωση διεύθυνσης e-mail' name='confirm_new_email'<?php if(isset($confirm_new_email)){echo " value='$confirm_new_email'";} ?>>
				<input name='change_email' class='btn btn-primary btn-block form_button' type='submit' value='Ενημέρωση'>
			</form>
		</div>
		<div class='col-md-2 hidden-xs hidden-sm text-center'>
		</div>
	</div>
</div>

<?php
$dbh = NULL;
require 'include/footer.php';
exit();
?>