<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}

if (isset($_SESSION['installed']))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	H εγκατάσταση ολοκληρώθηκε επιτυχώς!
	</div>";
	unset($_SESSION['installed']);
}
else if (isset($_SESSION['failed']))
{
	echo "<div class='alert alert-danger alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Τα στοιχεία που δώσατε ήταν εσφαλμένα!
	</div>";
	session_destroy();
}
else if (isset($_SESSION['no_credentials']))
{
	echo "<div class='alert alert-warning alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Δεν έχετε δώσει στοιχεία για τη σύνδεση στη βάση δεδομένων!
	</div>";
	session_destroy();
}
else if (isset($_GET['logout']))
{
	echo "<div class='alert alert-success alert-dismissible' role='alert'>
	<button type='button' class='close' data-dismiss='alert'>
	<span aria-hidden='true'>&times;</span>
	<span class='sr-only'>Close</span></button>
	Το session έχει καταστραφεί επιτυχώς.
	</div>";
	session_destroy();
}
?>