<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_POST['device_add']))
{
	$new_device_name = strip_tags($_POST['new_device_name']);
	
	if ($new_device_name)
	{
		if (strlen($new_device_name) < 41)
		{
			$user_id = $_SESSION['id'];
			$sth = $dbh->prepare("SELECT COUNT(*) FROM devices WHERE user_id=$user_id AND device_name=:device_name LIMIT 1;");
			$sth->execute(array(':device_name' => $new_device_name));
			$result = $sth->fetch(PDO::FETCH_NUM);
			$num_rows = $result['0'];
			if ($num_rows == 0)
			{
				$device_hash = md5(rand());
				$user_id = $_SESSION['id'];
				$sth = $dbh->prepare("INSERT INTO devices (device_id, device_hash, registration_timestamp, menu_status, loafsize_status, browning_status, device_status, countdown_status, motor_status, heater_status, update_timestamp, device_name, user_id) VALUES ('', :device_hash, NOW(), '', '', '', '', '', '', '', '', :device_name, :user_id);");
   		 		$sth->execute(array(':device_name' => $new_device_name, ':device_hash' => $device_hash, ':user_id' => $user_id));
   	 			
   	 			$sth = $dbh->prepare("SELECT device_id FROM devices WHERE user_id=$user_id AND device_name=:device_name LIMIT 1;");
    			$sth->execute(array(':device_name' => $new_device_name));
    			$result = $sth->fetch();
    			
    			$sth = $dbh->prepare("INSERT INTO commands (commands_timestamp, device_id, menu_command, loafsize_command, browning_command, countdown_command, start_command, stop_command) VALUES (NOW(), :device_id, '1', '0', '0', '10380', '0', '0');");
    			$sth->execute(array(':device_id' => $result['device_id']));
    			
    			$new_device_id = $result['device_id'];
    			$user_name = $_SESSION['user_name'];
    			$user_id = $_SESSION['id'];
				$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) δημιούργησε τη συσκευή \"$new_device_name\" (Α/Α: $new_device_id).";
				$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
				$sth->execute(array(':user_name' => $user_name, ':action_description' => $action_description));
    			
    			$device_added = 1;
    		}
			else
			{
				$inv_device_name = 1;
			}
		}
		else
		{
			$long_name = 1;
		}
	}
	else
	{
		$empty_form = 1;
	}
}
if (isset($_POST['delete']))
{
	if (isset($_POST['device_id']))
	{
		$list = $_POST['device_id'];
		$N = count($list);
		for ($i = 0; $i < $N; $i++)
		{
			$list[$i] = intval($list[$i]);
			if ($list[$i])
			{
				$sth = $dbh->prepare("SELECT user_id FROM devices WHERE device_id=:device_id LIMIT 1;");
				$sth->execute(array(':device_id' => $list[$i]));
				$result = $sth->fetch();
				if ($result['user_id'] != $_SESSION['id'])
				{
					$inv_device = 1;
				}
			}
			else
			{
				$inv_device = 1;
			}
		}
		
		if (!isset($inv_device))
		{
			for ($i = 0; $i < $N; $i++)
			{
				$sth = $dbh->prepare("SELECT device_name FROM devices WHERE device_id=:device_id LIMIT 1;");
				$sth->execute(array(':device_id' => $list[$i]));
				$result = $sth->fetch();
				$device_name = $result['device_name'];
			
				$sth = $dbh->prepare("DELETE FROM devices WHERE device_id=:device_id LIMIT 1;");
				$sth->execute(array(':device_id' => $list[$i]));
			
				$device_id = $list[$i];
				$user_name = $_SESSION['user_name'];
				$user_id = $_SESSION['id'];
				$action_description = "Ο χρήστης \"$user_name\" (Α/Α: $user_id) διέγραψε τη συσκευή του \"$device_name\" (Α/Α: $device_id).";
				$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
				$sth->execute(array(':user_name' => $user_name, ':action_description' => $action_description));
			}
			$devices_deleted = 1;
		}
	}
	else
	{
		$no_selections = 1;
	}
}
?>