<?php
/***************************************************************************
* Copyright 2015 Panagiotis Ioannidis - Minas Dasygenis                    *
*                                                                          *
* Licensed under the Apache License, Version 2.0 (the "License");          *
* you may not use this file except in compliance with the License.         *
* You may obtain a copy of the License at                                  *
*                                                                          *
*     http://www.apache.org/licenses/LICENSE-2.0                           *
*                                                                          *
* Unless required by applicable law or agreed to in writing, software      *
* distributed under the License is distributed on an "AS IS" BASIS,        *
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. *
* See the License for the specific language governing permissions and      *
* limitations under the License.                                           *
***************************************************************************/
if (!isset($require_variable))
{
	header("Location: ../index.php");
	die();
}
if (isset($_POST['reset_pass_req']))
{
	if ($_POST['email'])
	{
		require 'php_scripts/db_connect_script.php';
		$email = strip_tags($_POST['email']);
		$sth = $dbh->prepare("SELECT user_id, user_status, user_name FROM users WHERE user_email=:email LIMIT 1;");
   		$sth->execute(array(':email' => $email));
	    
		if ($sth->rowCount() == 1)
		{
			$result = $sth->fetch();
    		$user_id = $result['user_id'];
	   		$username = $result['user_name'];
	   		
     		if ($result['user_status'] == '1' || $result['user_status'] == '0')
     		{
     			$reset_hash = md5(rand());
     			
     			$sth = $dbh->prepare("INSERT INTO password_reset SET password_reset_hash=:password_reset_hash, timestamp=NOW(), user_id=:user_id;");
    			$sth->execute(array(':password_reset_hash' => $reset_hash, ':user_id' => $user_id));
     			
     			$to = $email;
    			$subject = "Επαναφορά κωδικού";
    			$server = $_SERVER['SERVER_NAME'];
    			$headers = "MIME-Version: 1.0\r\nContent-type:text/html;charset=UTF-8\r\nFrom: admin@$server";
    			$path = dirname($_SERVER['SCRIPT_NAME']);
    			$body = "Γεια σας $username,<br /><br />Σας αποστέλλουμε αυτό το e-mail κατόπιν αιτήματος για επαναφορά του κωδικού σας. Ο παρακάτω σύνδεσμος ισχύει μόνο για 2 ώρες. Ακολουθήστε τον για να επαναφέρετε τον κωδικό σας!<br />https://$server$path/reset_password.php?id=$user_id&reset_hash=$reset_hash<br /><br />Εάν δεν αιτηθήκατε κάποια τέτοια ενέργεια, παρακαλούμε αγνοείστε αυτό το μήνυμα.";
    			
    			if (mail($to, $subject, $body, $headers))
    			{
    				$action_description = "Ο χρήστης \"$username\" (Α/Α: $user_id) ζήτησε επαναφορά του κωδικού του.";
					$sth = $dbh->prepare("INSERT INTO users_logs (log_id, timestamp, user_name, action_description) VALUES ('', NOW(), :user_name, :action_description);");
					$sth->execute(array(':user_name' => $username, ':action_description' => $action_description));
     				
     				$dbh = NULL;
     				$_SESSION['password_reset_email_sent'] = 1;
     				header("Location: index.php");
     				die();
     			}
     			else
     			{
     				$dbh = NULL;
     				$_SESSION['SMTP_error'] = 1;
     				header("Location: index.php");
     				die();
     			}
     		}
     		else if ($result['user_status'] == '2')
     		{
     			$banned = 1;
     		}
		}
		else
		{
     		$inv_email = 1;
		}
		$dbh = NULL;
	}
	else
	{
		$empty_form = 1;
	}
}
?>